PHP Manual
Prev |  | Next

# DomAttribute->value

(no version information, might be only in CVS)

DomAttribute->value -- Returns value of attribute

## Description

class DomAttribute {
string value ( void )
}

This function returns the value of the attribute.

## Examples

Example 1. Getting all the attributes of a node
`<?php include("example.inc"); if (!$dom = domxml_open_mem($xmlstr)) { echo "Error while parsing the document\n"; exit; } $root = $dom->document_element(); $attrs = $root->attributes(); echo 'Attributes of ' . $root->node_name() . "\n"; foreach ($attrs as $attribute) { echo ' - ' . $attribute->name . ' : ' . $attribute->value . "\n"; } ?>`
The above example will output:
    Attributes of chapter
     - language : en

## Return Values

Returns the value of the attribute.

## Migrating to PHP 5

Use the value property of DOMAttr.

## See Also

DomAttribute->set_value
DomAttribute->name

Prev | Home | Next
DomAttribute->specified | Up | DomDocument->add_root